Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
object

Consolidated page parameter (deepObject style). Originally: page[size], page[number]

include_connection
boolean
default:false

Include the connection associated with the phone number.

include_tags
boolean
default:false

Include the tags associated with the phone number.

sort
enum<string>

Specifies the sort order for results. If not given, results are sorted by created_at in descending order.

Available options:
purchased_at,
phone_number,
connection_name,
usage_payment_method
Example:

"connection_name"

filter
object

Consolidated filter parameter (deepObject style). Originally: filter[tag], filter[phone_number], filter[status], filter[country_iso_alpha2], filter[connection_id], filter[voice.connection_name], filter[voice.usage_payment_method], filter[billing_group_id], filter[emergency_address_id], filter[customer_reference], filter[number_type], filter[source]

Response

Successful response with a list of phone numbers.

data
object[]
meta
object